Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.EventPriority

    java.lang.Object
      java.lang.Enum<Qt.EventPriority>
          com.trolltech.qt.core.Qt.EventPriority

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.EventPriority>

Enclosing interface:
  Qt

    public static enum Qt.EventPriority

extends java.lang.Enum<Qt.EventPriority>
implements QtEnumerator

This enum can be used to specify event priorities.

Note that these values are provided purely for convenience, since event priorities can be any value between `INT_MAX` and `INT_MIN`, inclusive. For example, you can define custom priorities as being relative to each other:

        enum CustomEventPriority
        {
            // An important event
            ImportantEventPriority = Qt::HighEventPriority,

            // A more important event
            MoreImportantEventPriority = ImportantEventPriority + 1,

            // A critical event
            CriticalEventPriority = 100 * MoreImportantEventPriority,

            // Not that important
            StatusEventPriority = Qt::LowEventPriority,

            // These are less important than Status events
            IdleProcessingDoneEventPriority = StatusEventPriority - 1
        };

See Also:
  `QCoreApplication::postEvent`

Enum Constant Summary
`HighEventPriority` Events with this priority are sent before events with `NormalEventPriority` or `LowEventPriority`.
`LowEventPriority` Events with this priority are sent after events with `HighEventPriority` or `NormalEventPriority`.
`NormalEventPriority` Events with this priority are sent after events with `HighEventPriority`, but before events with `LowEventPriority`.

Method Summary
`static Qt.EventPriority` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.EventPriority` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.EventPriority[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HighEventPriority

    public static final Qt.EventPriority HighEventPriority

  Events with this priority are sent before events with `NormalEventPriority` or `LowEventPriority`.

### NormalEventPriority

    public static final Qt.EventPriority NormalEventPriority

  Events with this priority are sent after events with `HighEventPriority`, but before events with `LowEventPriority`.

### LowEventPriority

    public static final Qt.EventPriority LowEventPriority

  Events with this priority are sent after events with `HighEventPriority` or `NormalEventPriority`.

Method Detail

### values

    public static final Qt.EventPriority[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.EventPriority c : Qt.EventPriority.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.EventPriority valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.EventPriority resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD